=== src/lib/common/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2024 - 2025 Chris Rizzitello <sithlord48@gmail.com>
# SPDX-License-Identifier: MIT

configure_file(constants.h.in constants.h @ONLY)

add_library(common STATIC
  common.h
  IInterface.h
  stddeque.h
  stdexcept.h
  stdistream.h
  stdlist.h
  stdmap.h
  stdostream.h
  stdpost.h
  stdpre.h
  stdset.h
  stdvector.h
  ${CMAKE_CURRENT_BINARY_DIR}/constants.h
)

set_target_properties(common PROPERTIES LINKER_LANGUAGE CXX)
target_link_libraries(common PUBLIC Qt6::Core)

if(APPLE)
  target_sources(common PUBLIC MacOSXPrecomp.h)
endif()
