=== debian/changelog ===
deskflow (1.20.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.20.1+dfsg
  * debian/patches/disable-update-check.patch
    - Refresh patch for v1.20.1
  * debian/deskflow.lintian-overrides
    - Drop needless overrides

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 17 Mar 2025 20:30:07 +0900

deskflow (1.18.0+dfsg-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 17 Mar 2025 12:48:38 +0900

deskflow (1.18.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1084988)

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 28 Jan 2025 21:31:45 +0900
