=== debian/control ===
Source: deskflow
Section: x11
Priority: optional
Maintainer: HAYASHI Kentaro <kenhys@xdump.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libcli11-dev,
 libei-dev,
 libgdk-pixbuf-2.0-dev,
 libglib2.0-dev,
 libgmock-dev,
 libgtest-dev,
 libgtk-3-dev,
 libnotify-dev,
 libportal-dev,
 libpugixml-dev,
 libssl-dev,
 libtomlplusplus-dev,
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxkbfile-dev,
 libxrandr-dev,
 libxtst-dev,
 ninja-build,
 pandoc,
 qt6-base-dev,
 qt6-tools-dev,
 x11proto-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/deskflow/deskflow
Vcs-Browser: https://salsa.debian.org/debian/deskflow
Vcs-Git: https://salsa.debian.org/debian/deskflow.git

Package: deskflow
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Mouse and keyboard sharing utility
 Deskflow is a free and open source keyboard and mouse sharing app
 formerly known as Synergy Community Edition.
 .
 Use the keyboard, mouse, or trackpad of one computer to control nearby
 computers, and work seamlessly between them.
 .
 Deskflow is oriented cross-platform and supports all major operating
 systems, including Windows, macOS, Linux, and Unix-like BSD-derived
 which supports Wayland and has kindly configuration wizard feature
 because it is also upstream of commercial fork of Synergy and it can
 be expected continuous maintenance somewhat.
 .
 Deskflow provides similar UI like Barrier so transition to Deskflow
 is easy.
