=== src/apps/deskflow-gui/CMakeLists.txt ===
--- 
+++ 
@@ -44,60 +44,7 @@
 add_executable(${target} WIN32 MACOSX_BUNDLE
   ${platform_extra}
   ../res/deskflow.qrc
-  Action.cpp
-  Action.h
-  DataDownloader.cpp
-  DataDownloader.h
-  Hotkey.cpp
-  Hotkey.h
-  KeySequence.cpp
-  KeySequence.h
-  main.cpp
-  MainWindow.cpp
-  MainWindow.h
-  MainWindow.ui
-  ProcessorArch.h
-  QUtility.cpp
-  QUtility.h
-  ScreenSetupModel.cpp
-  ScreenSetupModel.h
-  ServerConfig.cpp
-  ServerConfig.h
-  VersionChecker.cpp
-  VersionChecker.h
-  dialogs/AboutDialog.cpp
-  dialogs/AboutDialog.h
-  dialogs/AboutDialog.ui
-  dialogs/ActionDialog.cpp
-  dialogs/ActionDialog.h
-  dialogs/ActionDialog.ui
-  dialogs/AddClientDialog.cpp
-  dialogs/AddClientDialog.h
-  dialogs/AddClientDialog.ui
-  dialogs/FingerprintDialog.h
-  dialogs/FingerprintDialog.cpp
-  dialogs/HotkeyDialog.cpp
-  dialogs/HotkeyDialog.h
-  dialogs/HotkeyDialog.ui
-  dialogs/ScreenSettingsDialog.cpp
-  dialogs/ScreenSettingsDialog.h
-  dialogs/ScreenSettingsDialog.ui
-  dialogs/ServerConfigDialog.cpp
-  dialogs/ServerConfigDialog.h
-  dialogs/ServerConfigDialog.ui
-  dialogs/SettingsDialog.cpp
-  dialogs/SettingsDialog.h
-  dialogs/SettingsDialog.ui
-  widgets/FingerprintPreview.h
-  widgets/FingerprintPreview.cpp
-  widgets/KeySequenceWidget.cpp
-  widgets/KeySequenceWidget.h
-  widgets/NewScreenWidget.h
-  widgets/NewScreenWidget.cpp
-  widgets/ScreenSetupView.cpp
-  widgets/ScreenSetupView.h
-  widgets/TrashScreenWidget.cpp
-  widgets/TrashScreenWidget.h
+  deskflow-gui.cpp
 )
 
 target_link_libraries(
