=== debian/changelog ===
deskflow (1.21.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.21.1+dfsg
  * d/control,d/rules
    - Use go-md2man-v2 instead of pandoc
  * debian/patches/disable-update-check.patch
    - Refresh patch for v1.21.1

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 02 Apr 2025 19:45:42 +0900

deskflow (1.21.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.21.0+dfsg
  * debian/patches/disable-update-check.patch
    - Refresh patch for v1.21.0
  * debian/control
    - Bump Standards-Version to 4.7.2. No changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 29 Mar 2025 22:38:16 +0900
