=== debian/control ===
--- 
+++ 
@@ -27,11 +27,11 @@
  libxrandr-dev,
  libxtst-dev,
  ninja-build,
- pandoc,
  qt6-base-dev,
  qt6-tools-dev,
  x11proto-dev,
-Standards-Version: 4.7.0
+ go-md2man
+Standards-Version: 4.7.2
 Homepage: https://github.com/deskflow/deskflow
 Vcs-Browser: https://salsa.debian.org/debian/deskflow
 Vcs-Git: https://salsa.debian.org/debian/deskflow.git
