=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,9 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_build:
-	pandoc -s -f markdown -t man debian/deskflow.md -o debian/deskflow.1
-	pandoc -s -f markdown -t man debian/deskflow-server.md -o debian/deskflow-server.1
-	pandoc -s -f markdown -t man debian/deskflow-client.md -o debian/deskflow-client.1
+	go-md2man -in=debian/deskflow.md -out=debian/deskflow.1
+	go-md2man -in=debian/deskflow-server.md -out=debian/deskflow-server.1
+	go-md2man -in=debian/deskflow-client.md -out=debian/deskflow-client.1
 	dh_auto_build
 
 override_dh_auto_install:
