## deskflow 1.21.2+dfsg

=== debian/changelog ===
deskflow (1.21.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.21.2+dfsg
  * debian/control, debian/rules
    - Let man generation to help2man.

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 29 Apr 2025 15:25:46 +0900
