=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  qt6-base-dev,
  qt6-tools-dev,
  x11proto-dev,
- go-md2man
+ help2man
 Standards-Version: 4.7.2
 Homepage: https://github.com/deskflow/deskflow
 Vcs-Browser: https://salsa.debian.org/debian/deskflow
